Installing Drill to Run Under YARN

This topic includes instructions for using package managers to download and install Drill.

Verify that the system meets the prerequisites. You must install the mapr-drill-yarn package on a node designated to run as the Drill-on-YARN client.
Complete the following steps as mapr using sudo to install Drill on the node:
Note: If users need to access SQLLine, you must install the mapr-drill-yarn package on every node used to access SQLLine.
  1. To install Drill, issue the command appropriate for your system:
    RedHat/CentOS
    yum install mapr-drill-yarn
    Ubuntu
    apt-get install mapr-drill-yarn
    SUSE
    zypper install mapr-drill-yarn
    Note: SUSE is supported as of Drill 1.9.0-1703 and Drill 1.10.0-1703.
    Note: Drill does not automatically start after you install the packages.
  2. Configure Drill to run under YARN. See Configuring Drill to Run Under YARN.